Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985059 - epiphany-3.8.2-1.fc19: gtk_print_settings_get: Process /usr/bin/epiphany was killed by signal 11 (SIGSEGV)
Summary: epiphany-3.8.2-1.fc19: gtk_print_settings_get: Process /usr/bin/epiphany was ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:21633680194e6db6c2a89c77a1d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-16 16:56 UTC by Joachim Frieben
Modified: 2015-02-18 14:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 14:01:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-16 16:56 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2013-07-16 16:56 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2013-07-16 16:56 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2013-07-16 16:56 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2013-07-16 16:57 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2013-07-16 16:57 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2013-07-16 16:57 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2013-07-16 16:57 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2013-07-16 16:57 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2013-07-16 16:57 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2013-07-16 16:56:37 UTC
Description of problem:
Epiphany crashes upon confirming that a web page be printed.

Version-Release number of selected component:
epiphany-3.8.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        epiphany
crash_function: gtk_print_settings_get
executable:     /usr/bin/epiphany
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_print_settings_get at gtkprintsettings.c:174
 #1 output_file_from_settings at gtkprintbackendfile.c:247
 #2 file_printer_get_options at gtkprintbackendfile.c:723
 #3 selected_printer_changed at gtkprintunixdialog.c:1961
 #4 _g_closure_invoke_va at gclosure.c:840
 #7 _gtk_tree_selection_internal_select_node at gtktreeselection.c:1604
 #8 gtk_tree_view_real_set_cursor at gtktreeview.c:13208
 #9 gtk_tree_view_button_press at gtktreeview.c:3127
 #10 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #11 _g_closure_invoke_va at gclosure.c:840

Comment 1 Joachim Frieben 2013-07-16 16:56:44 UTC
Created attachment 774412 [details]
File: backtrace

Comment 2 Joachim Frieben 2013-07-16 16:56:49 UTC
Created attachment 774413 [details]
File: cgroup

Comment 3 Joachim Frieben 2013-07-16 16:56:54 UTC
Created attachment 774414 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2013-07-16 16:56:58 UTC
Created attachment 774415 [details]
File: dso_list

Comment 5 Joachim Frieben 2013-07-16 16:57:04 UTC
Created attachment 774416 [details]
File: environ

Comment 6 Joachim Frieben 2013-07-16 16:57:08 UTC
Created attachment 774417 [details]
File: limits

Comment 7 Joachim Frieben 2013-07-16 16:57:13 UTC
Created attachment 774418 [details]
File: maps

Comment 8 Joachim Frieben 2013-07-16 16:57:17 UTC
Created attachment 774419 [details]
File: open_fds

Comment 9 Joachim Frieben 2013-07-16 16:57:21 UTC
Created attachment 774420 [details]
File: proc_pid_status

Comment 10 Joachim Frieben 2013-07-16 16:57:25 UTC
Created attachment 774421 [details]
File: var_log_messages

Comment 11 Martin Stransky 2013-07-24 13:40:21 UTC
This is an automated bug update. Please reopen if you can reproduce the bug reliably and remove the [abrt] string from bug summary.

Comment 12 Mathieu Bridon 2013-08-05 12:52:09 UTC
I can reproduce it reliably.

Here's how I do it:

1. Go to https://esta.cbp.dhs.gov/esta/
2. Click on « Retrieve Application »
3. Click on « Retrieve One Application »
4. Fill in the details, then click on « Continue »
5. Click on « Print Application »

When the Gtk print dialog pops up, just click on the « Print to file » item, that's what crashes Epiphany.

100% guaranteed. :)

Comment 13 Mathieu Bridon 2013-08-05 12:53:40 UTC
Note that it doesn't happen when printing any web page.

So far I can reproduce it reliably with the ESTA page, but I haven't found any other yet.

Comment 14 Fedora End Of Life 2015-01-09 22:12:39 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-18 14:01:04 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.